For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
      • GETList Pages
      • GETGet Page Metadata
      • PUTUpdate Page Metadata
      • GETGet Page Content
      • POSTUpdate Page Content
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
Pages and ComponentsPages

Get Page Content

GET
https://api.webflow.com/v2/pages/:page_id/dom
GET
/v2/pages/:page_id/dom
$curl -G https://api.webflow.com/v2/pages/63c720f9347c2139b248e552/dom \
> -H "Authorization: Bearer <token>" \
> -d localeId=65427cf400e02b306eaa04a0 \
> -d limit=100 \
> -d offset=0
1{
2 "pageId": "658205daa3e8206a523b5ad4",
3 "nodes": [
4 {
5 "id": "a245c12d-995b-55ee-5ec7-aa36a6cad623",
6 "type": "text",
7 "text": {
8 "html": "<h1>The Hitchhiker's Guide to the Galaxy</h1>",
9 "text": "The Hitchhiker's Guide to the Galaxy"
10 },
11 "attributes": {}
12 },
13 {
14 "id": "a245c12d-995b-55ee-5ec7-aa36a6cad627",
15 "type": "text",
16 "text": {
17 "html": "<div><h3>Don't Panic!</h3><p>Always know where your towel is.</p></div>",
18 "text": null
19 },
20 "attributes": {
21 "number": "forty two"
22 }
23 },
24 {
25 "id": "a245c12d-995b-55ee-5ec7-aa36a6cad629",
26 "type": "image",
27 "image": {
28 "alt": "Marvin, the Paranoid Android",
29 "assetId": "659595234426a9fcbad57043"
30 },
31 "attributes": {}
32 },
33 {
34 "id": "a245c12d-995b-55ee-5ec7-aa36a6cad635",
35 "type": "select",
36 "choices": [
37 {
38 "value": "choice-1",
39 "text": "First choice"
40 },
41 {
42 "value": "choice-2",
43 "text": "Second choice"
44 }
45 ],
46 "attributes": {}
47 },
48 {
49 "id": "a245c12d-995b-55ee-5ec7-aa36a6cad642",
50 "type": "text-input",
51 "placeholder": "Enter something here...",
52 "attributes": {}
53 },
54 {
55 "id": "a245c12d-995b-55ee-5ec7-aa36a6cad671",
56 "type": "submit-button",
57 "value": "Submit",
58 "waitingText": "Submitting...",
59 "attributes": {}
60 },
61 {
62 "id": "a245c12d-995b-55ee-5ec7-aa36a6cad631",
63 "type": "component-instance",
64 "componentId": "e3410077-d7db-43e6-8889-0d7f61184424",
65 "propertyOverrides": [
66 {
67 "propertyId": "a245c12d-995b-55ee-5ec7-aa36a6cad633",
68 "type": "Plain Text",
69 "label": "Catchphrase",
70 "text": {
71 "html": null,
72 "text": "Don't Panic!"
73 }
74 },
75 {
76 "propertyId": "a245c12d-995b-55ee-5ec7-aa36a6cad635",
77 "type": "Rich Text",
78 "label": "Tagline",
79 "text": {
80 "html": "<div><p>Always know where your towel is.</p></div>",
81 "text": null
82 }
83 }
84 ]
85 }
86 ],
87 "pagination": {
88 "limit": 4,
89 "offset": 0,
90 "total": 4
91 },
92 "lastUpdated": "2016-10-24T19:42:38.929Z"
93}

Get text and component instance content from a static page.

Localization

Required scope | pages:read

Was this page helpful?
Previous

Update Page Content

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

page_idstringRequiredformat: "objectid"
Unique identifier for a Page

Query parameters

localeIdstringOptional

Unique identifier for a specific Locale.

Learn more about localization.

limitintegerOptional

Maximum number of records to be returned (max limit: 100)

offsetintegerOptional
Offset used for pagination if the results have more than limit records

Response

Request was successful
pageIdstring
Page ID
branchIdstring or nullformat: "objectid"

The unique identifier of a specific page branch.

nodeslist of objects
paginationobject
Pagination object
lastUpdatedstring or nullRead-onlyformat: "date-time"
The date the page dom was most recently updated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error